Subject: bug#42815: [GNUzilla home page] Proposed changes

From: Amin Bandali <[email-masked]>
Date: Tue, 11 Aug 2020 18:52:15 -0400

Hi Thérèse, bill-auger,

Thanks a lot for the patch, Thérèse!  I went ahead and applied it, with
some minor changes/comments below.

Thérèse Godefroy writes:

> Hello GNUzilla maintainers,
>
[...]
>  - Add a button to download the latest release.
>
>   ==> To ease up maintenance, you could add a "gnuzilla-latest" symlink
>       to the download directory.
>

You mean adding a line like the following to the .symlinks of the
gnuzilla web repo

,----[ .symlinks ]
| https://ftpmirror.gnu.org/gnuzilla/60.7.0/ gnuzilla-latest
`----

and replacing the link for your newly added "Latest release" button with
something like href="gnuzilla-latest", and then bumping the .symlinks
entry in each new release?

Also, regarding the button, I changed the CSS selector from ".button" to
"#content .button" to avoid it messing with the FSF line at the top.

[...]
>  - Limit line width.

On the one hand I like the narrower lines, making it easier to follow
the text from one line to the next, but I can't help but feel the new
large margins are a bit distracting :-/.  What are your thoughts?  Do we
have examples of other project pages using .reduced-width for all of
their page?  Can we make all of 

bill-auger writes:

> very thorough - gj Thérèse
>
> seeing as the page is being revised, i could add a few notes
>
> 1) regarding the layout, the logo at the top of the page, is what
>    is wasting the most space - i suggest making the initial
>    paragraph of text to wrap around that image - the image could
>    even be enlarged a bit, in that case
>

I'm thinking of going the other way, pulling the logo up on the same
line as the title, something like <https://www.gnu.org/software/emacs/>,
and making it a bit smaller maybe.  I'll experiment with that later
tonight and see how it turns out.

>
>
> 2) the URL of the list of "free addons" does not actually point
>    to the addons; but the icecat FSD entry - the URL for the
>    addons is:
>
> https://directory.fsf.org/wiki/Collection:IceCat_plugins
>
>
> 3) for the sake of readability, i would suggest changing the
>    heading "Langpacks" to "Language Packs"

Thanks, applied both of these suggestions.